View Issue Details

IDProjectCategoryView StatusLast Update
0016457MediaMonkey 5Playlists (Auto) / Search / Filterspublic2020-11-16 18:39
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016457: Column Filter fails to update correctly when filters are enabled
DescriptionNormally the column filter restricts or expands the list of available entries depending on what filter is active and/or what contextual search has been initiated. However, if _both_ a filter and contextual search are active, the column filter may fail to update. e.g. (note that each step shows the numbers of CF Genres, CF Ratings, CF Albums, Total files):

1 Navigate to Music > All tracks [List|column filter;status bar]
--> 210,12,3947, 13243
2 Create a filter 'Extension |= "mp3"
--> 79,11,387, 1930
3 In the column filter, select Ratings of 5,4.5,4,3.5,3 stars
--> 79,11,285, 770
4 Click in the tracklist and type e.g. 'lov'
-->Column filter (and tracklist) update
--> 17, 4, 27, 34
5 Cancel the 'love' filter
-->Column filter fails to update--it shows a restricted list of choices and there's no way to get it to expand to the full list of choices that was available at step 3!
--> 75, 5, 285, 770 (the values should have been 79,11,285,770)

Strangely, the bug goes away after switching nodes. ie.:
6 Switch to Music and then back to Music > All [List|Column filter;status bar] [Filter: Extension |= 'mp3']
--> 79, 11, 387, 1930
7 In the column filter, select Ratings of 5,4.5,4,3.5,3 stars
--> 79, 11, 285, 770 (as expected)
8 Click in the tracklist and type e.g. 'lov'
--> 31, 8, 57, 79 (completely different values than at step 4, but they should be the same)!
9 Cancel the 'love' filter
--> 79,11,387, 1930 (as expected)

See: https://www.screencast.com/t/Q3yv6A8ndjoH
TagsNo tags attached.
Fixed in build2240

Relationships

related to 0015734 closedLudek Contextual search does not work right when 'Column Browser' is opened after the search 
related to 0016766 closedLudek Using Column Filter with Contextual Search yields incorrect search results 
related to 0017104 closedLudek Possible crash when using search and switching from 'List' to 'Grid' 

Activities

rusty

2020-03-26 17:03

administrator  

Ludek

2020-03-27 11:39

developer   ~0057375

Last edited: 2020-03-30 19:01

View 2 revisions

Fixed in 2238

rusty

2020-04-07 15:47

administrator   ~0057513

Last edited: 2020-04-07 15:49

View 2 revisions

Tested 2239 with slightly modified steps:
Step 1-2 as before
Step 2.5 Initiate and cancel a contextual search for 'lov').
Step 3-4 as before
--> after typing 'lov', the first column of the column filter populates, but the 2nd and 3rd don't
--> crashlog: A04CB2E4 and then C491C8A7

https://www.screencast.com/t/6v7x1E105mcJ
note: the bug didn't occur on the first try above, but it did on the 2nd (see around the 3 minute mark)

rusty

2020-04-07 15:48

administrator  

bug-16457_build2239.7z (97,001 bytes)

Ludek

2020-04-08 22:37

developer   ~0057570

Was already fixed by Michal in SVN revision 35523: "MM5 - fixed possible crash, based on bugreport C491C8A7"

So already fixed in 2240

peke

2020-11-15 22:45

developer   ~0060246

Verified 2274

Unable to replicate either crashes or incorrect results.